1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# SCANG - SCattering ANgle [rad] CALculations based on the system geometry
#*******************************************************************************
function [th]=scancal()
    global src dtctr;
    ax=src.rotx;  bx=src.roty;  cx=src.rotz;            # source rotations [deg]
    k0=rotxyz([0,1,0],ax,bx,cx);                     # incident wave unit vector
    ad=dtctr.rotx; bd=dtctr.roty; cd=dtctr.rotz;          # det. rotations [deg]
    k1=rotxyz([0,0,1],ad,bd,cd );                   # scattered wave unit vector
    th=acos(sum(k0.*k1,2));                             # scattering angle [rad]
endfunction
#*******************************************************************************