# SAMPLE PARAMETERS:____________________________________________________________
name='Al';                                                    # name of material
Z=13;                                                            # atomic number
Ma=26.9815386;                                      # standard atomic weight [u]
ro=2.702;                                                      # density [g/cm3]
sh='roller';                                      # shape (cuboid, roller, ball)
wm=0.040;                                      # sample width or diameter(x) [m]
lm=0.020;                                       # sample length (cuboid) (y) [m]
hm=0.060;                                                # sample height (z) [m]
tx=-0.01;                                             # sample translation x [m]
ty=0.01;                                              # sample translation y [m]
tz=-0.01;                                             # sample translation z [m]

smpl=struct('name',name,'Z',Z,'Ma',Ma,'dens',ro, ...
            'shape',sh,'width',wm,'length',lm,'height',hm, ...
            'trx',tx,'try',ty,'trz',tz);