1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# ANOMALOUS - form factor correction for anomalous scattering
#*******************************************************************************
function [f]=anomalous(f0,e0,matname)
    global csdir;
    filename=[csdir '/' matname '.ano'];
    fid=fopen(filename,'rt');
    switch fid
    case -1
        f=f0;
        disp('_______ No correction for anomalous scattering !');
    otherwise
        disp('_______ ANOMALOUS');
        an=reshape(fscanf(fid,'%e %e %e'),3,[])';
        fclose(fid);
        f1=interp1(an(:,1),an(:,2),e0,'spline');
        f2=interp1(an(:,1),an(:,3),e0,'spline');
        f=sqrt((f0+f1).^2+f2.^2);
    endswitch
endfunction
#*******************************************************************************
