1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# INTSPLIN - cubic spline integral
# INTTRAP - trapezoidal integral
#*******************************************************************************
function integral=intsplin(x,y)
    N=20;	                                                 # points per interval
    x=x(:);
    y=y(:);
    xi=[(x(1:end-1)*(N:-1:1)+x(2:end)*(0:N-1))'(:);x(end)*N]/N;
    yi=interp1(x,y,xi,'spline');
    integral=sum((xi(2:end)-xi(1:end-1)).*(yi(2:end)+yi(1:end-1)))/2;
endfunction
#*******************************************************************************
#function integral=inttrap(x,y)
#    integral=sum((x(2:end)-x(1:end-1)).*(y(2:end)+y(1:end-1)))/2;
#endfunction
#*******************************************************************************